Bug 67850

Summary: Web Inspector: implement reverse mapping for compiler source maps.
Product: WebKit Reporter: Pavel Podivilov <podivilov>
Component: Web Inspector (Deprecated)Assignee: Pavel Podivilov <podivilov>
Status: RESOLVED FIXED    
Severity: Normal CC: apavlov, bweinstein, joepeck, keishi, loislo, pfeldman, pmuellr, rik, timothy, yurys
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch
none
Patch pfeldman: review+

Description Pavel Podivilov 2011-09-09 09:18:11 PDT
Web Inspector: implement reverse mapping for compiler source maps.
Comment 1 Pavel Podivilov 2011-09-09 09:19:40 PDT
Created attachment 106878 [details]
Patch
Comment 2 Pavel Feldman 2011-09-19 00:40:36 PDT
Comment on attachment 106878 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=106878&action=review

> LayoutTests/ChangeLog:3
> +        Web Inspector: implement reverse mapping for compiler source maps.

What is reverse mapping and why is it needed?
Comment 3 Pavel Podivilov 2011-09-19 03:36:26 PDT
(In reply to comment #2)
> (From update of attachment 106878 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=106878&action=review
> 
> > LayoutTests/ChangeLog:3
> > +        Web Inspector: implement reverse mapping for compiler source maps.
> 
> What is reverse mapping and why is it needed?

Reverse mapping is a mapping from source code to compiled code. It is needed to set breakpoints.
Comment 4 Pavel Podivilov 2011-09-19 05:03:42 PDT
Created attachment 107834 [details]
Patch
Comment 5 Pavel Podivilov 2011-09-19 05:04:03 PDT
Updated change log.
Comment 6 Pavel Podivilov 2011-09-20 03:22:33 PDT
Committed r95524: <http://trac.webkit.org/changeset/95524>